★ TouchArcade needs your help. Click here to support us on Patreon.

What happens when app's required OS changes to newer OS?

05-08-2009, 12:13 PM
#1
What happens when app's required OS changes to newer OS?

If my app requires OS 2.0 or better, and a 2.0 user buys it... what happens if I release an update that requires 2.2.1?

I'm hoping they just don't receive that update (unless they later get 2.2.1). Or do they get the update and so my app breaks?

Just wondering. I have no app for sale yet but I'm thinking ahead.

Morgan Adams (GameCenter: “Adams Immersive”)
My upcoming first game: Scree (Forum thread)
My upcoming VR horror experience: This is Not the Church of the Worm (Forum thread)
Stop making lists. Organize with shapes and colors instead: DotSpace (Forum thread)
05-09-2009, 12:17 PM
#2
Joined: Feb 2009
Posts: 132
iTunes will not allow installing that update.
05-09-2009, 12:21 PM
#3
Cool--glad they allowed for that situation to fail gracefully.

Morgan Adams (GameCenter: “Adams Immersive”)
My upcoming first game: Scree (Forum thread)
My upcoming VR horror experience: This is Not the Church of the Worm (Forum thread)
Stop making lists. Organize with shapes and colors instead: DotSpace (Forum thread)